function kg = AddElement(iEle,eData,ke,kg)
% This function adds member iEle stiffness matrix ke to the global 
% stiffness matrix kg.

% What nodes does the element connect to?
iNode = eData(iEle,1);
jNode = eData(iEle,2);

% The DOFs in kg to enter the properties into
DOFs = [2*iNode-1 2*iNode 2*jNode-1 2*jNode];

% For each row of ke
for i = 1:4
    % Add the row to the correct entries in kg
    kg(DOFs(i),DOFs) = kg(DOFs(i),DOFs) + ke(i,:);
end