function [D F R] = AnalyzeTruss(nData,eData)
% This function analyzes the truss defined by nData and eData:
% nData = [x, y, xLoad, yLoad, xRestraint, yRestraint]
% eData = [iNode, jNode, E, A];

kg = AssembleTrussK(nData, eData);      % Assemble global stiffness matrix
fv = AssembleForceVector(nData);        % And the force vector
[kgr fv] = Restrict(kg, fv, nData);     % Impose restraints
D = fv/kgr;                             % Solve for displacements
F = ElementForces(nData,eData,D);       % Get the element forces
R = D*kg;                               % Get the reactions 