function kg = AssembleTrussK(nData, eData)
% This function assembles the global stiffness matrix for a truss from the
% joint and member data matrices

% How many nodes and elements are there?
[ne ~] = size(eData);
[nn ~] = size(nData);

% Set up a blank global stiffness matrix
kg = zeros(2*nn,2*nn);

% For each element
for i = 1:ne
    E = eData(i,3);                             % Get its E and A
    A = eData(i,4);
    [L c s] = TrussElementGeom(i,nData,eData);  % Geometric Properties
    ke = TrussElementK(E,A,L,c,s);              % Stiffness matrix
    kg = AddElement(i,eData,ke,kg);             % Enter it into kg
end