function F = TrussElementForce(nData, eData, d, iEle)
% This function returns the element force for iEle given the global
% displacement vector, d, and the node and element data matrices.

% What nodes does the element connect to?
iNode = eData(iEle,1);
jNode = eData(iEle,2);

% Get the element properties
E = eData(iEle,3);                             % Get its E and A
A = eData(iEle,4);
[L c s] = TrussElementGeom(iEle,nData,eData);  % Geometric Properties

dix = d(2*iNode-1);     % x-displacement at node i
diy = d(2*iNode);       % y-displacement at node i
djx = d(2*jNode-1);     % x-displacement at node j
djy = d(2*jNode);       % y-displacement at node j

F = (E*A/L) * (c*(djx-dix) + s*(djy-diy));