function [L c s] = TrussElementGeom(iEle,nData,eData);
% This function returns the element length

% What nodes does the element connect to?
iNode = eData(iEle,1);
jNode = eData(iEle,2);

% What are the coordinates of these nodes?
iNodeX = nData(iNode,1);
iNodeY = nData(iNode,2);
jNodeX = nData(jNode,1);
jNodeY = nData(jNode,2);

% Use Pythagoras to work out the member length
L = sqrt((jNodeX - iNodeX)^ 2 + (jNodeY - iNodeY)^ 2);

% Cos is adjacent over hyp, sin is opp over hyp
c = (jNodeX - iNodeX)/L;
s = (jNodeY - iNodeY)/L;